QGIS Application - Bug report #9439
QGIS sends requests for layers when scrolling
2014-01-27 06:08 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18033
Description

The following certainly happens with WMS, WCS, WMTS. Probably happens with other data providers, but they don't log as neatly for
me.

1) Add WMS layer to map.
2) Zoom in using scroll wheel - zoom many "levels" at once.

What happens is that QGIS makes a request for every zoom level you pass through from the starting point to the finishing point. And then
it cancels that request a fraction of a second later.
What it should do is only make the request for the final zoom level.

This seems like a fundamental thing that would greatly improve responsiveness and reduce load on services if fixed.

Master 5192e8d 32bit - Windows 7 64bit

History

#1 - 2014-01-28 01:36 AM - Jukka Rahkonen

| have seen this before. OpenJUMP used to do the same. Adding a timer that waits for 0.7 seconds resolved the issue. See
http://sourceforge.net/mailarchive/forum.php?thread _name=3d1ded7{1002261520r47{33a42k8e99036¢551{853d%40mail.gmail.com&#38;forum _name

jump-pilot-devel

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
